# Uses of Interface
org.eclipse.pde.core.plugin.IPluginLibrary

Packages that use IPluginLibrary
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IPluginLibrary in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IPluginLibrary
Modifier and Type
Method
Description
`IPluginLibrary`
IPluginModelFactory.`createLibrary()`
Creates a new library instance
`IPluginLibrary[]`
IPluginBase.`getLibraries()`
Returns libraries referenced in this plug-in.
Methods in org.eclipse.pde.core.plugin with parameters of type IPluginLibrary
Modifier and Type
Method
Description
`void`
IPluginBase.`add(IPluginLibrary library)`
Adds a new library to this plugin.
`void`
IPluginBase.`remove(IPluginLibrary library)`
Removes a library from the plugin.
`void`
IPluginBase.`swap(IPluginLibrary l1, IPluginLibrary l2)`
Swaps the positions of the provided libraries in the list of libraries.